{ pkgs, ...}:
{
  virtualisation.docker = {
    enable = true;
    # enableNvidia = true; # depreciated
    package = pkgs.docker;
    rootless = {
      enable = true;
      # setSocketVariable = true; # causes NVIDIA issues
      package = pkgs.docker;
    };
    daemon.settings = {
      userland-proxy = false;
      ipv6 = false;
    };
  };
}